Loading...
Searching...
No Matches
Catch::Clara::Detail::TokenStream Class Reference

`#include <catch_amalgamated.hpp>`

## Public Member Functions

| TokenStream (Args const &args)
| TokenStream (Iterator it, Iterator itEnd)
| operator bool () const
size_t | count () const
Token | operator* () const
Token const * | operator-> () const
TokenStream & | operator++ ()

## Private Types

using | Iterator = std::vector<StringRef>::const_iterator

## Private Member Functions

void | loadBuffer ()

## Private Attributes

Iterator | it
Iterator | itEnd
std::vector< Token > | m_tokenBuffer

## Member Typedef Documentation

## Iterator

using Catch::Clara::Detail::TokenStream::Iterator = std::vector<StringRef>::const_iterator

private

## Constructor & Destructor Documentation

## TokenStream() [1/2]

Catch::Clara::Detail::TokenStream::TokenStream | ( | Args const & | args | ) |

explicit

Here is the call graph for this function:
Here is the caller graph for this function:

## TokenStream() [2/2]

Catch::Clara::Detail::TokenStream::TokenStream | ( | Iterator | it,
|  | Iterator | itEnd )

Here is the call graph for this function:

## Member Function Documentation

## count()

size_t Catch::Clara::Detail::TokenStream::count | ( |  | ) | const

inline

## loadBuffer()

void Catch::Clara::Detail::TokenStream::loadBuffer | ( |  | ) |

private

Here is the call graph for this function:
Here is the caller graph for this function:

## operator bool()

Catch::Clara::Detail::TokenStream::operator bool | ( |  | ) | const

inlineexplicit

## operator*()

Token Catch::Clara::Detail::TokenStream::operator* | ( |  | ) | const

inline

## operator++()

TokenStream & Catch::Clara::Detail::TokenStream::operator++ | ( |  | ) |

Here is the call graph for this function:

## operator->()

Token const * Catch::Clara::Detail::TokenStream::operator-> | ( |  | ) | const

inline

## Member Data Documentation

## it

Iterator Catch::Clara::Detail::TokenStream::it

private

## itEnd

Iterator Catch::Clara::Detail::TokenStream::itEnd

private

## m_tokenBuffer

std::vector<Token> Catch::Clara::Detail::TokenStream::m_tokenBuffer

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp